<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<!-- 定义mapper接口路径 -->
<mapper namespace="com.fkzy.warn.mapper.AuditRecordsMapper">


    <select id="queryPage" resultType="com.fkzy.warn.model.vo.UserVO">
        SELECT
            u.company_name as companyName,
            u.credit_code as creditCode,
            u.legal_person as legalPerson,
            u.phone_number as phoneNumber,
            u.business_person as businessPerson,
            u.authorization_status as authorizationStatus,
            a.start_date as startDate,
            a.company_name as endDate
        FROM
            t_authorization a
                JOIN
            t_user u ON u.authorization_Id = a.id
        ORDER BY
            u.audit_date;
    </select>
</mapper>